#[derive(Default)]
pub struct TextBuffer {
    lines: Vec<String>,
}

impl TextBuffer {
    pub fn new(line: &str) -> Self {
        Self {
            lines: vec![line.to_string()],
        }
    }

    pub fn line_iter(&self) -> impl Iterator<Item = &str> {
        self.lines.iter().map(String::as_str)
    }
}
